Page MenuHomePhabricator

Final link eats final punctum (dot) in sentence
Open, LowPublic

Description

The final punctum (dot) in a sentence is added to the link text. Something like "foo [[bar]]." become "foo [[bar|bar.]]" This does not happen always, so it seems like there are some subsystem that use a wrong regex.

This behavior was observed on translation from Norwegian Bokmål to Norwegian Nynorsk. This is from the clean up.

Event Timeline

jeblad created this task.Sep 23 2015, 3:15 PM
jeblad raised the priority of this task from to Needs Triage.
jeblad updated the task description. (Show Details)
jeblad added a project: ContentTranslation.
jeblad added a subscriber: jeblad.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2015, 3:15 PM
jeblad updated the task description. (Show Details)Sep 23 2015, 3:17 PM
jeblad set Security to None.
jeblad updated the task description. (Show Details)Sep 23 2015, 3:39 PM
Amire80 triaged this task as Low priority.Oct 1 2015, 4:14 PM
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.
Restricted Application added a subscriber: jhsoby. · View Herald TranscriptApr 13 2017, 10:45 PM

This behavior seems to be gone in VisualEditor, but I'm not quite sure it has gone in CT.

jeblad closed this task as Resolved.Feb 7 2018, 3:44 PM
jeblad claimed this task.

I believe VE is used now, so I'm closing this as fixed.

Amire80 reopened this task as Open.Feb 7 2018, 3:53 PM
Amire80 added a subscriber: Amire80.

Not yet :)

Hopefully soon.

jeblad added a comment.Feb 7 2018, 4:30 PM

Oh, nooo…! I made an error! ;)

jeblad removed jeblad as the assignee of this task.Feb 4 2019, 6:46 PM